#include "math.h"
#include <iostream>
using namespace std;

int main()
{
	unsigned long long int V;
	cin >> V;
	const int brojNovcanica = 58;
	unsigned long long int novcanice[brojNovcanica];
	novcanice[brojNovcanica - 1] = pow(10, 19);
	int j = - 1;
	for (int i = 0; i < 19; i++) 
	{
		unsigned long long int tezina = pow(10, i);
		novcanice[++j] = 1 * tezina;
		novcanice[++j] = 2 * tezina;
		novcanice[++j] = 5 * tezina;
	}
	int resenje = 0;
	for (int i = brojNovcanica - 1; i >= 0; i--) 
	{
		while (V >= novcanice[i]) 
		{
			V -= novcanice[i];
			resenje++;
		}
	}
	cout << resenje << endl;	return 0;
}